<?php
/**
 * Default theme options.
 *
 * @package moduagency
 */

if ( ! function_exists( 'moduagency_get_default_theme_options' ) ) :

	/**
	 * Get default theme options
	 *
	 * @since 1.0.0
	 *
	 * @return array Default theme options.
	 */
	function moduagency_get_default_theme_options() {

		$defaults = array();
		
		/*Global Layout*/
		$defaults['social_profile']     			= false;
		$defaults['social_profile_bottom']     		= false;
		$defaults['social_profile_link']     		= '';
		$defaults['search_icon']     			    = 1;
		
		/*Posts Layout*/
		$defaults['blog_layout']     				= 'pull-right';
		$defaults['excerpt_length_blog']     		= 60;
		$defaults['blog_loop_content_type']     	= 'full-post';
		$defaults['read_more_text']					= esc_html__( 'Read More ', 'moduagency' );
		
		/*Posts Layout*/
		$defaults['page_layout']     				= 'pull-left';
		
		$defaults['topbar_defaults']     			= false;
		
		$defaults['topbar_phone']					= '';
		$defaults['topbar_email']					= '';
		$defaults['topbar_address']					= '';
		
		/*layout*/
		$defaults['copyright_text']					= esc_attr__( 'Copyright All right reserved', 'moduagency' );
		
		$defaults['dialog_defaults']     			= false;
		
		
		$defaults['moduagency_award']['award_title_1']['title']		= '';
		$defaults['moduagency_award']['award_title_1']['text']		= '';
		
		$defaults['moduagency_award']['award_title_2']['title']		='';
		$defaults['moduagency_award']['award_title_2']['text']		= '';
		
		$defaults['moduagency_award']['award_title_3']['title']		= '';
		$defaults['moduagency_award']['award_title_3']['text']		= '';
		
		/* Footer Call To Action*/
		$defaults['active_action']     						= false;
		$defaults['call_to_action_title']					= '';
		$defaults['call_to_action_sub']					    = '';
		$defaults['call_to_action_btn']						= '';
		$defaults['call_to_action_link']					= '';
		$defaults['call_to_action_img']						= esc_url( get_template_directory_uri() . '/img/custom-header.jpeg' );
		
		

		// Pass through filter.
		$defaults = apply_filters( 'moduagency_filter_default_theme_options', $defaults );
		
		
		

		return $defaults;

	}

endif;
